Google Web Toolkit
Search Google Code:

# Class Frame

public class Frame
extends Widget
// Superclass of `NamedFrame`
A widget that wraps an IFRAME element, which can contain an arbitrary web site.

Note that if you are using History, any browser history items generated by the Frame will interleave with your application's history.

### CSS Style Rules

- .gwt-Frame { }

### Example

    public class FrameExample implements EntryPoint {

      public void onModuleLoad() {
        // Make a new frame, and point it at Google.
        Frame frame = new Frame("http://www.google.com/");

        // Add it to the root panel.
        RootPanel.get().add(frame);
      }
    }

## Constructors

Frame() | Creates an empty frame.
Frame(String) | Creates a frame that displays the resource at the specified URL.

## Methods

getUrl() | Gets the URL of the frame's resource.
setUrl(String) | Sets the URL of the resource to be displayed within the frame.

## Constructor Detail

### Frame

public Frame()
Creates an empty frame.

### Frame

public Frame(String url)
Creates a frame that displays the resource at the specified URL.

#### Parameters

url
  the URL of the resource to be displayed

## Method Detail

### getUrl

public String getUrl()
Gets the URL of the frame's resource.

#### Return Value

the frame's URL

### setUrl

public void setUrl(String url)
Sets the URL of the resource to be displayed within the frame.

#### Parameters

url
  the frame's new URL